REM CommandInterpreter: $(COMSPEC)
@echo off

rem ------------------------------
rem create directories

echo Create runtime image directories ...
if not exist ..\..\temp mkdir ..\..\temp
if not exist ..\bin mkdir ..\bin
if not exist ..\bin\windows mkdir ..\bin\windows
if not exist ..\bin\windows\xml mkdir ..\bin\windows\xml
if not exist ..\bin\windows\doc mkdir ..\bin\windows\doc
if not exist ..\bin\windows\fonts mkdir ..\bin\windows\fonts
if not exist ..\bin\windows\images mkdir ..\bin\windows\images
if not exist ..\bin\windows\images\structs mkdir ..\bin\windows\images\structs
if not exist ..\bin\windows\images\textures mkdir ..\bin\windows\images\textures
if not exist ..\bin\windows\images\grt mkdir ..\bin\windows\images\grt
if not exist ..\bin\windows\images\grt\db mkdir ..\bin\windows\images\grt\db
if not exist ..\bin\windows\lua mkdir ..\bin\windows\lua
if not exist ..\bin\windows\php mkdir ..\bin\windows\php
if not exist ..\bin\windows\scripts mkdir ..\bin\windows\scripts
echo .

rem ------------------------------
rem copy appropriate licence

echo Copying licence files ...
if exist ..\bin\windows\COPYING del ..\bin\windows\COPYING
if exist ..\bin\windows\MySQLEULA.txt del ..\bin\windows\MySQLEULA.txt

copy ..\..\mysql-gui-common\res\COPYING ..\bin\windows\COPYING
echo .

rem ------------------------------
rem copy dlls

echo Copying MySQL Client library...
copy ..\..\mysql-gui-win-res\lib\mysql\libmysql.dll ..\bin\windows\libmysql.dll
echo .

echo Copying glib-2.0 libraries...
copy ..\..\mysql-gui-win-res\lib\glib-2.0\intl.dll ..\bin\windows\intl.dll
copy ..\..\mysql-gui-win-res\lib\glib-2.0\libglib-2.0-0.dll ..\bin\windows\libglib-2.0-0.dll
copy ..\..\mysql-gui-win-res\lib\glib-2.0\libgmodule-2.0-0.dll ..\bin\windows\libgmodule-2.0-0.dll
copy ..\..\mysql-gui-win-res\lib\glib-2.0\libgobject-2.0-0.dll ..\bin\windows\libgobject-2.0-0.dll
copy ..\..\mysql-gui-win-res\lib\glib-2.0\libgthread-2.0-0.dll ..\bin\windows\libgthread-2.0-0.dll
echo .

echo Copying libxml2 libraries...
copy ..\..\mysql-gui-win-res\lib\libxml\iconv.dll ..\bin\windows\iconv.dll
copy ..\..\mysql-gui-win-res\lib\libxml\libxml2.dll ..\bin\windows\libxml2.dll
copy ..\..\mysql-gui-win-res\lib\libxml\zlib.dll ..\bin\windows\zlib.dll
echo .

echo Copying Php libraries...
copy ..\..\mysql-gui-win-res\lib\php-5.0.3\php5ts.dll ..\bin\windows\php5ts.dll
copy ..\..\mysql-gui-win-res\lib\php-xdebug-2.0.0b\php_xdebug.dll ..\bin\windows\php_xdebug.dll

echo Freetype library...
copy ..\..\mysql-gui-win-res\lib\freetype2\freetype6.dll ..\bin\windows\.

echo ZLib library...
copy ..\..\mysql-gui-win-res\lib\zlib\zlib1.dll ..\bin\windows\.

echo PNG library...
copy ..\..\mysql-gui-win-res\lib\libpng\libpng12.dll ..\bin\windows\.

echo Python library...
copy ..\..\mysql-gui-win-res\lib\python\python24.dll ..\bin\windows\.

rem ------------------------------
rem copy xml files

echo Copying XML files...
copy ..\..\mysql-gui-common\res\grt\structs*.xml ..\bin\windows\xml\
copy ..\..\mysql-gui-common\res\grt\layout*.xml ..\bin\windows\xml\

copy ..\res\grt\structs.db.workbench.xml ..\bin\windows\xml\
echo .

rem ------------------------------
rem copy docs

echo Copying doc files...
echo .

rem ------------------------------
rem copy fonts

echo Copying font files...
copy ..\..\mysql-gui-common\res\fonts\VeraMoBd.ttf ..\bin\windows\fonts\VeraMoBd.ttf
copy ..\..\mysql-gui-common\res\fonts\VeraMoBI.ttf ..\bin\windows\fonts\VeraMoBI.ttf
copy ..\..\mysql-gui-common\res\fonts\VeraMoIt.ttf ..\bin\windows\fonts\VeraMoIt.ttf
copy ..\..\mysql-gui-common\res\fonts\VeraMono.ttf ..\bin\windows\fonts\VeraMono.ttf
echo .

rem ------------------------------
rem copy images

echo Copying images and textures...
copy ..\..\mysql-gui-common\images\grt\*.png ..\bin\windows\images\
copy ..\..\mysql-gui-common\images\grt\structs\*.png ..\bin\windows\images\structs\
copy ..\..\mysql-gui-common\images\textures\*.png ..\bin\windows\images\textures\
copy ..\..\mysql-gui-common\images\grt\icons\db\*.png ..\bin\windows\images\grt\db\


rem ------------------------------
rem lua source files

echo Copying lua files...
copy ..\..\mysql-gui-common\source\lua\*.lua ..\bin\windows\lua\

echo .
